Bug 49452 - Kernel panic during installation RH 7.1
Kernel panic during installation RH 7.1
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.1
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-07-19 12:51 EDT by Andrew Lawrence
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Lawrence 2001-07-19 12:51:10 EDT
Description of Problem:
Kernel panic installing on P-133, 80Meg ram, 10Gig HD, SB 64, ACER 210 Lan

Give blue screen immediately after kernel load with msgs:

Oops:  0000
CPU: 0
EIP: 0010:[<00000000>]
EFLAGS: 00010046
eax: 000000000 ebx: c0240000 ecx: 00000032 edx: 00000019
esi: c0107210 edi: c0240000 ebp: 0006e000 esp: c0241fd4
ds: 0018 es: 0018 ss: 0018
Process swapper (pid: 0, stackpage=c0241000)
Stack c0107233 00000010 00000246 00005000 00079800 c0105000 c024282d
    c025ffe0 00000000 c0100191
Call Trace: [<c0107233>] [<c010729a>] [<c0105000>] [<c0100191>]

Code: Bad EIP value
Kernel panic: Attempted to kill the idle task!
In idle task - not syncing

How Reproducible:


Come to my office!!!!

Steps to Reproduce:
1.  Book airfare
2.  goto airport
3.  catch flight

Actual Results:


Expected Results:


Additional Information:
	
Both WIN98 and Debian Potato (2.2.3) install correctly without problems.
Comment 1 Brent Fox 2001-07-19 18:53:47 EDT
Try booting with 'linux ide=nodma'.  Does that help?
Comment 2 Andrew Lawrence 2001-07-20 03:24:02 EDT
booting with 'linux ide=nodma" produces a blank blue screen after messages 
'running install...' and 'running /sbin/loader'

booting with 'expert' produces blank blue screen w/ msg 'divide error: 
000' after screen 4 'Installation Method'.. response 'LOCAL CDROM'. Blue 
screen gives 'EIP: 0010:[<c0107233>]', 'Code: c3 fb c3 89 f6 fb b8 ff ff ff ff 
ba 00 e0 ff ff 21 e2 87 42', and 'Kernel panic....', et 

After panic CTL-ALT-DEL does not work and CDROM drive is locked (will not 
open).

Hard drive is Maxtor 88400D8, 8011MB (LBA mode) on hda
CDROM is CR-4801TE CD-R on hdd
Comment 3 Brent Fox 2001-07-23 12:25:24 EDT
Changing component to the kernel.
Comment 4 Arjan van de Ven 2001-07-23 12:28:04 EDT
Could you give a more detailed overview of the system ?
Eg what chipset and such (lspci will show you, as will the Win98 hardware info
thingy)
Comment 5 Andrew Lawrence 2001-07-23 14:16:17 EDT
lspci (Debian/GNU) gives:

00:00.0 Host bridge: VIA Technologies, Inc. VT82C585VP [Apollo VP1/VXP] (rev 
18)
00:07.0 ISA bridge: VIA Technologies, Inc. VT82C586/A/B PCI-to-ISA [Apollo VP] 
(rev02)
00:07.1 IDE interface: VIA Technologies, Inc. VT82C586 IDE [Apollo[ (rev 02)
00:0a.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RT8029 (AS)
00:0b.0 VGA Compatible controller: ATI Technologies Inc 3D Rage Pro 215GP (reg 
5c)

The NIC is an ACER 200 10 mips PCI
The video is an ATI Xpert @Work PCI

Comment 6 Andrew Lawrence 2001-07-23 14:17:15 EDT
Sorry typo. The NIC is an ACER 201.
Comment 7 Andrew Lawrence 2001-07-23 14:35:02 EDT
This system is an old work horse that has been running in different 
configurations with different hardware for many years.

MB: Unknown manufacuter: VIA VX Pro chipset, 6 PCI, 3 EISA slots
Memory: 2 x 8 Meg SIMMS + 2 x 32Meg SIMMS = 80 Meg
CPU: Intel Pentium-S 133
Video: ATI Xpert @Work PCI
Lan: Acer 201 10Mbps PCI
Sound: Soundbaster 64 EISA
Disk: Maxtor 88400D 8Gig in LBA mode on /dev/hda
CD: CR-4801TE CD-R on /dev/hdd
One standard 3 1/2 floppy

Comment 8 Arjan van de Ven 2001-08-02 06:08:05 EDT
Ok could you try specifying "mem=78M" (yes 2Mb less than you have) on the
syslinux commandline ? The memory detection algorithm changed in 2.4 and maybe
the bios is providing slightly off results.
Comment 9 Andrew Lawrence 2001-08-03 18:30:38 EDT
"linux mem=78M" and "linux mem=78M,ide=nodma" produce the same results already 
noted.
Comment 10 Bugzilla owner 2004-09-30 11:39:05 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.